# DEBIAS EXAMPLE

Example program to demonstrate debias approach used in scientific paper:

Filling gaps in hourly air temperature data using debiased ERA5 data

Milos Lompar, Branislava Lalic, Ljiljana Dekic, Mina Petric

## Reqirements
Pyhon 3.6.7
NumPy 1.15.3
SciPy 1.1.0
Pandas 0.23.4
Matplotlib 3.0.1

## Input data

Two files with data for test cases Kikinda and Bahariya are provided for period of 40 days. Data are stored in folder 
named "data" in Microsoft Office Excel format. Each spreadsheet document has one sheet named according to station name and
has three columns of data. Date is valid date and time of observation. OBS is hourly mean value of observed temperature
at 2 m height and ERA5 is 2 m temperature value for nearest grid point in ERA5 reanalysis data set for the same date and
time.

## Experiment setup and description

After reading data from file, a 6 day gap is created in observations. Gap is positioned at the end of time interval so
enough data will be present in "learning" period.

Initial state of experiment is plotted and than debias approach was applied. There is option to turn on or off filter
whose purpose is to remove diurnal bias influence (diurnal_bias_filter). While computation is done values of linear fit
coefficients and Pearson's test results are printed. When computation is done debiased values are plotted along the
existing observations and ERA5 data for visual verification of results. Mean bias and mean rmse values are printed for both
ERA5 and DEB approach so we can compare scores. Also plots of bias and rmse for gap period are provided.
